Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class AbstractLRSProxyCollection

    java.lang.Object
      |
      +--kodo.util.AbstractLRSProxyCollection

All Implemented Interfaces:
  ChangeTracker, Collection, LRSProxy, org.apache.commons.collections.Predicate, Proxy

Direct Known Subclasses:
  AbstractCollectionFieldMapping.LRSProxyCollection

public abstract synchronized class AbstractLRSProxyCollection
extends Object
implements Collection, LRSProxy, org.apache.commons.collections.Predicate, ChangeTracker

Constructor Summary
`AbstractLRSProxyCollection(Class, boolean)`

Method Summary
`boolean` | `add(Object)`
`boolean` | `addAll(Collection)`
`void` | `added(Object)` Notify the tracker that the given object was added.
`void` | `changed(Object)` Notify the tracker that the given object was changed.
`void` | `clear()`
`boolean` | `contains(Object)`
`boolean` | `containsAll(Collection)`
`Object` | `copy(Object)` Return an unproxied copy of the given instance.
`protected abstract int` | `count()`
`boolean` | `evaluate(Object)`
`Collection` | `getAdded()` Return the collection of values that need to be added to the managed container.
`Collection` | `getChanged()` Return the set of elements that have changed.
`ChangeTracker` | `getChangeTracker()` Return the change tracker for this proxy, or null if none.
`int` | `getNextSequence()` The next element sequence value for this proxy at load time.
`KodoStateManager` | `getOwner()` Return the owning object.
`int` | `getOwnerField()` Return the owning field index.
`Collection` | `getRemoved()` Return the set of values that need to be removed from the managed container.
`protected abstract boolean` | `has(Object)`
`boolean` | `isEmpty()`
`boolean` | `isTracking()` Return true if this tracker has an up-to-date view of all the changes to the container it is managing.
`Iterator` | `iterator()`
`protected abstract Iterator` | `itr()`
`boolean` | `remove(Object)`
`boolean` | `removeAll(Collection)`
`void` | `removed(Object)` Notify the tracker that the given object was removed.
`boolean` | `retainAll(Collection)`
`void` | `setNextSequence(int)` The maximum element sequence value for this proxy at load time.
`void` | `setOwner(KodoStateManager, int)` Reset the state of the proxy, and set the owning JDO instance of the proxy and the name of the field it is assigned to.
`int` | `size()`
`void` | `startTracking()` Reset the state of the change tracker, and turn change tracking back on if it has been disabled.
`void` | `stopTracking()` Tell the tracker to stop tracking changes for its container.
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[])`
`protected Object` | `writeReplace()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### AbstractLRSProxyCollection

    public AbstractLRSProxyCollection(Class,
                                      boolean)

Method Detail

### setOwner

    public void setOwner(KodoStateManager,
                         int)

  Description copied from interface: `Proxy`
  Reset the state of the proxy, and set the owning JDO instance of the proxy and the name of the field it is assigned to. Set to null to indicate that the proxy is no longer managed.
  Specified by:
    `setOwner` in interface `Proxy`

### getOwner

    public KodoStateManager getOwner()

  Description copied from interface: `Proxy`
  Return the owning object.
  Specified by:
    `getOwner` in interface `Proxy`

### getOwnerField

    public int getOwnerField()

  Description copied from interface: `Proxy`
  Return the owning field index.
  Specified by:
    `getOwnerField` in interface `Proxy`

### getChangeTracker

    public ChangeTracker getChangeTracker()

  Description copied from interface: `Proxy`
  Return the change tracker for this proxy, or null if none.
  Specified by:
    `getChangeTracker` in interface `Proxy`

### copy

    public Object copy(Object)

  Description copied from interface: `Proxy`
  Return an unproxied copy of the given instance. This method is used by proxy managers to create backup values for use in rollback.
  Specified by:
    `copy` in interface `Proxy`

### add

    public boolean add(Object)

  Specified by:
    `add` in interface `Collection`

### addAll

    public boolean addAll(Collection)

  Specified by:
    `addAll` in interface `Collection`

### remove

    public boolean remove(Object)

  Specified by:
    `remove` in interface `Collection`

### removeAll

    public boolean removeAll(Collection)

  Specified by:
    `removeAll` in interface `Collection`

### retainAll

    public boolean retainAll(Collection)

  Specified by:
    `retainAll` in interface `Collection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`

### contains

    public boolean contains(Object)

  Specified by:
    `contains` in interface `Collection`

### containsAll

    public boolean containsAll(Collection)

  Specified by:
    `containsAll` in interface `Collection`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`

### toArray

    public Object[] toArray(Object[])

  Specified by:
    `toArray` in interface `Collection`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Collection`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

### itr

    protected abstract Iterator itr()

### has

    protected abstract boolean has(Object)

### count

    protected abstract int count()

### evaluate

    public boolean evaluate(Object)

  Specified by:
    `evaluate` in interface `org.apache.commons.collections.Predicate`

### isTracking

    public boolean isTracking()

  Description copied from interface: `ChangeTracker`
  Return true if this tracker has an up-to-date view of all the changes to the container it is managing.
  Specified by:
    `isTracking` in interface `ChangeTracker`

### startTracking

    public void startTracking()

  Description copied from interface: `ChangeTracker`
  Reset the state of the change tracker, and turn change tracking back on if it has been disabled.
  Specified by:
    `startTracking` in interface `ChangeTracker`

### stopTracking

    public void stopTracking()

  Description copied from interface: `ChangeTracker`
  Tell the tracker to stop tracking changes for its container.
  Specified by:
    `stopTracking` in interface `ChangeTracker`

### getAdded

    public Collection getAdded()

  Description copied from interface: `ChangeTracker`
  Return the collection of values that need to be added to the managed container.
  Specified by:
    `getAdded` in interface `ChangeTracker`

### getRemoved

    public Collection getRemoved()

  Description copied from interface: `ChangeTracker`
  Return the set of values that need to be removed from the managed container.
  Specified by:
    `getRemoved` in interface `ChangeTracker`

### getChanged

    public Collection getChanged()

  Description copied from interface: `ChangeTracker`
  Return the set of elements that have changed. In maps, this marks a possible change in value for a key. In collections, this marks an element that has been removed and re-added.
  Specified by:
    `getChanged` in interface `ChangeTracker`

### added

    public void added(Object)

  Description copied from interface: `ChangeTracker`
  Notify the tracker that the given object was added.
  Specified by:
    `added` in interface `ChangeTracker`

### removed

    public void removed(Object)

  Description copied from interface: `ChangeTracker`
  Notify the tracker that the given object was removed.
  Specified by:
    `removed` in interface `ChangeTracker`

### changed

    public void changed(Object)

  Description copied from interface: `ChangeTracker`
  Notify the tracker that the given object was changed.
  Specified by:
    `changed` in interface `ChangeTracker`

### getNextSequence

    public int getNextSequence()

  Description copied from interface: `ChangeTracker`
  The next element sequence value for this proxy at load time. If the data store keeps this proxy's data in sequence order but allows holes for removed objects, the implementation can set the next sequence at load time, then retrieve it and start from there for added objects at flush time. This value is set back to 0 if the proxy stops tracking changes. It is set to the proxy's size when the proxy starts tracking changes again.
  Specified by:
    `getNextSequence` in interface `ChangeTracker`

### setNextSequence

    public void setNextSequence(int)

  Description copied from interface: `ChangeTracker`
  The maximum element sequence value for this proxy at load time. If the data store keeps this proxy's data in sequence order but allows holes for removed objects, the implementation can set the next sequence at load time, then retrieve it and start from there for added objects at flush time. This value is set back to 0 if the proxy stops tracking changes. It is set to the proxy's size when the proxy starts tracking changes again.
  Specified by:
    `setNextSequence` in interface `ChangeTracker`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.